=== debian/changelog ===
appstream (0.8.4-1) unstable; urgency=medium

  * New upstream release: 0.8.4

 -- Matthias Klumpp <mak@debian.org>  Tue, 08 Sep 2015 20:40:36 +0200

appstream (0.8.3-2) unstable; urgency=medium

  * Bring back appstream-index package, needed for proper upgrades
  * Suggest dep11-tools

 -- Matthias Klumpp <mak@debian.org>  Sun, 30 Aug 2015 16:04:16 +0200

appstream (0.8.3-1) unstable; urgency=medium

  * New upstream release: 0.8.3

 -- Matthias Klumpp <mak@debian.org>  Fri, 28 Aug 2015 22:42:11 +0200

appstream (0.8.2-2) unstable; urgency=medium

  * Include changelog file
  * Fix debian/copyright
  * Rename appstream-index package to appstream

 -- Matthias Klumpp <mak@debian.org>  Tue, 25 Aug 2015 22:24:08 +0200
